Mouse pointer jerky on login screen

Bug #945749 reported by peterzay on 2012-03-03
204
This bug affects 41 people
Affects Status Importance Assigned to Milestone
GNOME Themes Extra
New
Undecided
Unassigned
GTK+
New
Undecided
Unassigned
LibGGI
New
Undecided
Unassigned
Light Display Manager
Undecided
Unassigned
ubuntu-themes (Ubuntu)
Undecided
Unassigned
unity-greeter (Ubuntu)
Low
Unassigned

Bug Description

The mouse pointer is intermittently jerky. Sometimes, the response is nil for a second or thereabouts. Very disturbing.

Note video is ATI Radeon 9200 and no custom drivers are used (or available).

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: lightdm 1.1.4.is.1.1.3-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-17.27-generic-pae 3.2.6
Uname: Linux 3.2.0-17-generic-pae i686
ApportVersion: 1.94-0ubuntu1
Architecture: i386
Date: Sat Mar 3 13:11:11 2012
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120228.1)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: lightdm
UpgradeStatus: No upgrade log present (probably fresh install)

peterzay (peterzay) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in lightdm (Ubuntu):
status: New → Confirmed
Susanne Schlensog (sschlensog) wrote :

Can confirm. Video is onboard (using the default radeon driver):

01:05.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RS780 [Radeon HD 3200]

Never have had any problems with lightdm. This behaviour just showed a few updates ago...

affects: lightdm (Ubuntu) → unity-greeter (Ubuntu)
Sebastien Bacher (seb128) wrote :

Does it happen all the time? Do you know around which update,version that started? It seems rather an xorg issue than a unity-greeter one, does it happen in a session as well?

Changed in unity-greeter (Ubuntu):
importance: Undecided → Low
peterzay (peterzay) wrote :

Yes, it happens at every boot.

I was testing with liveCD on USB key on another machine until I could burn to CD and install on my test machine that does not support boot from USB. So I do not know when this problem started.

Yes, it happens at every logout/login.

Jawtheshark (jawtheshark) wrote :

Same problem here. This is on a Fujitsu-Siemens Amilo Pa1510, running 12.04/i386. Installation from a network upgrade. The graphics chipset ist described as:

01:05.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RS482 [Radeon Xpress 200M]

The mouse (trackpad) is only jerky/freezing on the login screen. Once logged it, it (seem to) work just fine. It's annoying because this graphic chipset works best in Unity2D, I get strange artifacts with the default settings (at least I used to on 11.10 it was resolved by using Unity2D). Now it's next to impossible to switch to 2D.

Tpugliese (thomas-pugliese) wrote :

Same problem here. Graphics Adapter is an ATI FireGL V3100 (RV370). Just started happening in the last week or so. The jerkiness lasts maybe 10 seconds on the first login, but when switching between multiple user accounts, it can last up to a minute.

estama (estama) wrote :

Same problem on two of my machines here. Both of these with ATI Radeon cards (AMD RS780 and AMD RV710) using the open source drivers.

estama (estama) wrote :

I've just noticed that the periodic lag starts happening right after the "background" (behind the lightdm dots) fades in. While only the dots are visible on the screen (before the background fades in), there is no lag in mouse movement.

Sampsa Saahkari (saahkari1) wrote :

YEah.. I also have 9200.

Kuba Mędrek (kubix-medrek) wrote :

The same in my, Desktop, Dell Inspirion 580, Intel i3, 64bit, Graphics Gallium 0.4 on AMD CEDAR

Jawtheshark (jawtheshark) wrote :

Low priority? Seriously? Affected on two different laptops.... One Intel integrated, one ATI X1100 based.

Sampsa Saahkari (saahkari1) wrote :

i think this is mainly a problem for lower spec computers, especially with ATI.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity-greeter (Ubuntu Precise):
status: New → Confirmed
mr0 (oreshnikov-ivan) wrote :

The same lags on Dell Inspiron 1501 with Radeon Xpress 1150.
It seems that pointer lags on the moments when the blinking cursor in the password field is shown, and responsible, when hidden.

sae.area (saearea-test) wrote :

I have the same problem and posted it as Bug #985201.
Using open radeon drivers:
00:01.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Wrestler [Radeon HD 6310]

Can also confirm this bug on the on-board gfx hardware of a MSI K9AG Neo2-Digital. Up unitl now it affects the login screen only: Once logged in the mouse works fine.

pzukowski (paul-zukowski) wrote :

I am also confirming this bug. ATI Radeon HD 4250, RS880. Don't know if this is related, but I get occasional mouse pointer and video stutter after login as well. It is very suttle so hard to spot initially. This all started after installing 12.04, I did not have these issues with 11.04. My install was clean, not an upgrade.

Oliver (steadyproc) wrote :

I can confirm this bug on AMD 64-bit, ATI Radeon HD 3200 (780G) with open source driver.
Opening one of the upper right menus for accessitbility and shutdown makes the mouse stutter go away, closing the menu by clicking on the screen, and it is there again.
This is a fresh install of Precise.

Same here. When I click the menu it goes away.

2012/7/3 Oliver <email address hidden>

> I can confirm this bug on AMD 64-bit, ATI Radeon HD 3200 (780G) with open
> source driver.
> Opening one of the upper right menus for accessitbility and shutdown makes
> the mouse stutter go away, closing the menu by clicking on the screen, and
> it is there again.
> This is a fresh install of Precise.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (952455).
> https://bugs.launchpad.net/bugs/945749
>
> Title:
> Mouse pointer jerky on login screen
>
> Status in “unity-greeter” package in Ubuntu:
> Confirmed
> Status in “unity-greeter” source package in Precise:
> Confirmed
>
> Bug description:
> The mouse pointer is intermittently jerky. Sometimes, the response is
> nil for a second or thereabouts. Very disturbing.
>
> Note video is ATI Radeon 9200 and no custom drivers are used (or
> available).
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: lightdm 1.1.4.is.1.1.3-0ubuntu1
> ProcVersionSignature: Ubuntu 3.2.0-17.27-generic-pae 3.2.6
> Uname: Linux 3.2.0-17-generic-pae i686
> ApportVersion: 1.94-0ubuntu1
> Architecture: i386
> Date: Sat Mar 3 13:11:11 2012
> EcryptfsInUse: Yes
> InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386
> (20120228.1)
> ProcEnviron:
> TERM=xterm
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: lightdm
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/945749/+subscriptions
>

Jim Padel (jim-1-6regulars) wrote :

Switched to KDM. KDM does not have this issue. Also if you move the mouse around for a few minutes it's seems to eventually go away.

Timothy (timothy-e-joseph) wrote :

I was having the same problem as well. No new software was installed nor were changes made to the system. The only thing I did which made me begin having this issue was running Virtualbox. I removed the virtualbox modules with rmmod with no difference.

If I disconnected one monitor, the jumpy mouse cursor and choppy video would be smooth as it originally was.

I would suggest trying this with the ATI Catalyst software package installed on your system (if it is). Be aware my issue was with the NVIDIA card or proprietary driver.

Without modifying anything else, I found a solution that worked for me:
1. First: I am running the nvidia proprietary video driver, not GNU.
2. Run "NVIDIA X Server Settings" from KMenu -> System.
3. Disable second monitor
4. Reboot machine (I did not restart X or KDM in this instance; proprietary drivers tend to want you to have to reboot the system).
5. Run "NVIDIA X Server Settings" from KMenu -> System.
6. Re-enable second monitor.
7. Reboot machine (see notes in step 4).
8. All choppyness went away. Everything is smooth again.

I'm wanting to know if doing something similar for your ATI cards fixes it or stays the same.

Good luck and let me know.

Jeb E. (jebeld17) wrote :

This definately is not a "lower spec" - only problem. I am using Ubuntu 12.04 on my Athlon II x64 3x system with 4GB DDR3 RAM, and I have the exact same problem. This problem needs to be fixed.

Jeb E. (jebeld17) wrote :

The lightdm problems are fixed when the proprietary ATi Radeon drivers are installed, but then I have the exact same mouse lag as before from the login screen, but after I log in, so it really gets to slow my work down.

sae.area (saearea-test) wrote :

Hello Jeb E.

could you check the following. With the proprietary driver installed, go into screen saver mode (or some mode that turns off the screen due to inactivity), log in from a different machine via ssh and check the CPU load via top. (alternatively follow the instructions at the following link: https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/969860)
I am experiencing the bug 969860 therefore I am staying away from fglrx.

Thank you very much.

>________________________________
> Von: Jeb E. <email address hidden>
>An: <email address hidden>
>Gesendet: 4:10 Freitag, 13.Juli 2012
>Betreff: [Bug 945749] Re: Mouse pointer jerky on login screen
>
>The lightdm problems are fixed when the proprietary ATi Radeon drivers
>are installed, but then I have the exact same mouse lag as before from
>the login screen, but after I log in, so it really gets to slow my work
>down.
>
>--
>You received this bug notification because you are subscribed to a
>duplicate bug report (985201).
>https://bugs.launchpad.net/bugs/945749
>
>Title:
>  Mouse pointer jerky on login screen
>
>Status in General Graphics Interface:
>  New
>Status in Light Display Manager:
>  New
>Status in Unity Greeter:
>  New
>Status in “unity-greeter” package in Ubuntu:
>  Confirmed
>Status in “unity-greeter” source package in Precise:
>  Confirmed
>
>Bug description:
>  The mouse pointer is intermittently jerky.  Sometimes, the response is
>  nil for a second or thereabouts.  Very disturbing.
>
>  Note video is ATI Radeon 9200 and no custom drivers are used (or
>  available).
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 12.04
>  Package: lightdm 1.1.4.is.1.1.3-0ubuntu1
>  ProcVersionSignature: Ubuntu 3.2.0-17.27-generic-pae 3.2.6
>  Uname: Linux 3.2.0-17-generic-pae i686
>  ApportVersion: 1.94-0ubuntu1
>  Architecture: i386
>  Date: Sat Mar  3 13:11:11 2012
>  EcryptfsInUse: Yes
>  InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120228.1)
>  ProcEnviron:
>  TERM=xterm
>  PATH=(custom, no user)
>  LANG=en_US.UTF-8
>  SHELL=/bin/bash
>  SourcePackage: lightdm
>  UpgradeStatus: No upgrade log present (probably fresh install)
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/libggi/+bug/945749/+subscriptions
>
>
>

peterzay (peterzay) wrote :

This problem is dramatically improved, though still present, in Ubuntu 12.10 Quantal Quetzel beta 15-jul-2012.

Jeb E. (jebeld17) wrote :

Low importance? Really???
This problem makes my computer difficult to handle, especially for new users, and gives common folk and guests at my house that use my computer a bad idea at what Ubuntu is and about my computer.

Jeb E. (jebeld17) wrote :

I'm afraid to install the proprietary drivers again... last time it gave my computer flashing artifacts as screen icons and text sometimes :(

Jeb E. (jebeld17) wrote :

I should probably see if there are any attachment GPU cards I can get for my PC that are either Intel-based or Nvidia.

Jeb E. (jebeld17) wrote :

I found the problem causing most, if not all of the mouse problems on LightDM: The Ambiance and/or Radiance themes. To fix the problem, install the Ubuntu Tweak PPA "ppa:tualatrix/ppa", install Ubuntu Tweak, and go to Ubuntu Tweak<Tweaks<Login Settings. Change the GTK theme to something else besides Ambiance or Radiance. A good, solid choice may be Adwaita.

Hope this solved all of your problems :)

Changed in light-themes:
status: New → Confirmed
Changed in unity-greeter:
status: New → Confirmed
Changed in lightdm:
status: New → Confirmed
Jeb E. (jebeld17) wrote :

*edit: Choose Adwaita as the GTK theme. No others work.

Sebastien Bacher (seb128) wrote :

is the issue happening only in the greeter? the same theme is used for the session...

The attachment "Quick and easy way to solve most, if not all, of the Unity Greeter (LightDM) issues." of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Jeb E. (jebeld17) wrote :

Yes, it's happening only in the greeter, for some reason, I do not know :/

Jeb E. (jebeld17) wrote :

Just all I know is that it has to do with the GTK themeing, and probably XOrg and Compiz.

Sebastien Bacher (seb128) wrote :

compiz is not using on the greeter so it's not due to it

Jeb E. (jebeld17) wrote :

Is there a way I can look at the system logs from the login screen?

Jeb E. (jebeld17) wrote :

Patch containing necessary text files to insert into a virtual terminal.

Changed in lightdm:
status: Confirmed → Invalid
Stefan Divjak (stefan-divjak) wrote :

This bug is still present in the just released Quantal *sigh*

Stefan Divjak (stefan-divjak) wrote :

...and I have to add that switching the GTK theme to Adwaita (as suggested) did not resolve this issue in Quantal, at least not for me.

alsar (alsar7) wrote :

I have the same problem on Quantal. I've noticed that the pointer is jerky when my machine tries to connect to the network.
After that the mouse behalves normal again.

Jeb E. (jebeld17) wrote :

It's sad that this problem is STILL happening even on 12.10!!!!!!!!

James Lee (oizhztl) wrote :

I'll add my hand here. I'm using 12.10 with kernel version of:
uname -a
Linux fx4100 3.8.0-030800-generic #201302181935 SMP Tue Feb 19 00:36:19 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

The laggy pointer issue exists only in the login screen.

Jeb E. (jebeld17) wrote :

Seems to be better with 13.04, yet visual effects on the login screen instead screw up while the mouse pointer is moving.

Jeb E. (jebeld17) wrote :

This issue is still prevalent even in 13.04... Please fix!

Changed in lightdm:
status: Invalid → Confirmed
Jeb E. (jebeld17) wrote :

A fix was never released... This is just ridiculous how AMD can't get the proper open source hardware support that Intel devices do on Ubuntu.

Jeb E. (jebeld17) wrote :

The bug is still here, even on 13.10. PLEASE FIX!

Jeb E. (jebeld17) wrote :

The issue is still present... Please update the bug to High Priority.

no longer affects: unity-greeter
no longer affects: unity-greeter (Ubuntu Precise)
affects: light-themes → ubuntu-themes (Ubuntu)
Jeb E. (jebeld17) wrote :

Though Unity and the Unity Greeter have gone through leaps and bounds to get better, the issue is still present yet not as noticeable as before.

Daniel van Vugt (vanvugt) wrote :

Thank you for reporting this bug to Ubuntu.
Ubuntu 12.04 (precise) reached end-of-life on April 28, 2017.
And Ubuntu 13.10 (saucy) reached end-of-life on July 17, 2014.

See this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

We appreciate that this bug may be old and you might not be interested in discussing it any more. But if you are then please upgrade to the latest Ubuntu version and re-test.

Changed in ubuntu-themes (Ubuntu):
status: Confirmed → Incomplete
Changed in lightdm:
status: Confirmed → Incomplete
Changed in unity-greeter (Ubuntu):
status: Confirmed → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions